Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.forms
Class OWLWidgetPropertyListUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.forms.OWLWidgetPropertyListUtil

    public class OWLWidgetPropertyListUtil

extends Object

Class for loadind/saving owl widget properties in the .forms file.

Author:
  Tania Tudorache

Field Summary
`static String` | `GRAPHWIDGET_JAVA_CLASS_NAME`
`static String` | `GRAPHWIDGET_NAME_SEPARATOR`
`static String` | `GRAPHWIDGET_REIFIED_RELATIONSHIP_PROPERTY_NAME`

Constructor Summary
`OWLWidgetPropertyListUtil()`

Method Summary
`static com.hp.hpl.jena.rdf.model.Resource` | `createOWLPropertyList(OWLModel owlModel, com.hp.hpl.jena.rdf.model.Resource widget, edu.stanford.smi.protege.util.PropertyList widgetPropertyList)`
`static void` | `loadFormsProperties(OWLModel owlModel, edu.stanford.smi.protege.widget.SlotWidget slotWidget, com.hp.hpl.jena.rdf.model.Resource widgetResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAPHWIDGET_JAVA_CLASS_NAME

    public static final String GRAPHWIDGET_JAVA_CLASS_NAME

See Also:
  Constant Field Values

### GRAPHWIDGET_NAME_SEPARATOR

    public static final String GRAPHWIDGET_NAME_SEPARATOR

See Also:
  Constant Field Values

### GRAPHWIDGET_REIFIED_RELATIONSHIP_PROPERTY_NAME

    public static final String GRAPHWIDGET_REIFIED_RELATIONSHIP_PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### OWLWidgetPropertyListUtil

    public OWLWidgetPropertyListUtil()

Method Detail

### createOWLPropertyList

    public static com.hp.hpl.jena.rdf.model.Resource createOWLPropertyList(OWLModel owlModel,
                                                                           com.hp.hpl.jena.rdf.model.Resource widget,
                                                                           edu.stanford.smi.protege.util.PropertyList widgetPropertyList)

### loadFormsProperties

    public static void loadFormsProperties(OWLModel owlModel,
                                           edu.stanford.smi.protege.widget.SlotWidget slotWidget,
                                           com.hp.hpl.jena.rdf.model.Resource widgetResource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.